Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Operations

QueryEventRecord

QueryEventRecord

GET/zstack/v1/zwatch/event-records

Operation ID

QueryEventRecord

Since

4.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • time
      longRequired

      The time.

    • count
      longRequired

      The count.

    • id
      longRequired

      The message ID.

    • createTime
      longRequired

      The creation date.

    • namespace
      StringRequired

      The namespace.

    • name
      StringRequired

      The name.

    • emergencyLevel
      StringRequired

      The emergency level of an alarm.

    • resourceId
      StringRequired

      The resource UUID.

    • error
      StringRequired

      The error information.

      • code
        StringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • description
        StringRequired

        The brief description of the error.

      • details
        StringRequired

        The details about the error.

      • elaboration
        StringRequired

        The reserved field. Default value: null.

      • opaque
        LinkedHashMapRequired

        The reserved field. Default value: null.

      • cause
        ErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

    • dataUuid
      StringRequired

      The message UUID.

    • accountUuid
      StringRequired

      The account UUID.

    • subscriptionUuid
      StringRequired

      The event alarm UUID.

    • readStatus
      BooleanRequired

      The read status.

    • labels
      StringRequired

      The labels.